aboutsummaryrefslogtreecommitdiffstats
path: root/.config/herbstluftwm/pass.sh
diff options
context:
space:
mode:
authorshmibs <shmibs@gmail.com>2017-11-27 01:08:51 -0700
committershmibs <shmibs@gmail.com>2017-11-27 01:08:51 -0700
commitc688f7bce20158661f377e9679c3b2ce8b963fc6 (patch)
treecd0b66a81272918b7bb622c2b905d699ad058ab5 /.config/herbstluftwm/pass.sh
parent66b00763352ccbc4af59259472a39249dc4345d6 (diff)
parenta0f41b26800251aa05cbd042c8852ec8e212a95b (diff)
downloaddotfiles-c688f7bce20158661f377e9679c3b2ce8b963fc6.tar.gz
Merge branch 'master' of github.com:shmibs/dotfiles
Diffstat (limited to '.config/herbstluftwm/pass.sh')
-rwxr-xr-x.config/herbstluftwm/pass.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/.config/herbstluftwm/pass.sh b/.config/herbstluftwm/pass.sh
new file mode 100755
index 0000000..32a7b2d
--- /dev/null
+++ b/.config/herbstluftwm/pass.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env zsh
+
+source ~/.config/init/vars
+
+zparseopts -M -E -A args \
+ f -firefox=f
+
+local password_files
+
+password_files=( ~/.password-store/**/*.gpg )
+password_files=( ${password_files:t:r} )
+
+printf "%s\n" $password_files | dmenu -fn "${bfont}:size=${bfont_size}" -i \
+ -h "$bheight" -nb "$bar_bg" -nf "$bar_fg" \
+ -sb "$bg_focus" -sf "$fg_focus" \
+ -p "Pass:" | cut -d ')' -f 1 | read choice
+
+[[ -n $choice ]] || exit
+
+pass show $choice | sed -n -e 's/^login: //p' | xclip -selection clipboard
+
+pass show $choice | sed -n -e 's/^url: //p' | read url
+[[ ${(@k)args[-f]} ]] && firefox --new-tab "$url"
+
+pass show -c $choice